Overview | Modules | Class Hierarchy | Classes | Members

# Delaunay.h File Reference

`#include <vector>`
`#include <tulip/Coord.h>`
`#include <tulip/Node.h>`

Include dependency graph for Delaunay.h:

## Namespaces

- namespace tlp

## Classes

- class tlp::VoronoiDiagram
- class tlp::VoronoiDiagram::Edge
- class tlp::VoronoiDiagram::Ray
- class tlp::VoronoiDiagram::Cell

## Functions

- TLP_SCOPE void tlp::delaunayTriangulation (const std::vector< Coord > &points, std::vector< std::pair< unsigned int, unsigned int > > &edges)
    functions for Delaunay Triangulations
- void tlp::delaunayTriangulation (const std::vector< Coord > &points, std::vector< tlp::Array< unsigned int, 3 > > &triangles)
- void tlp::delaunayTriangulation (const std::vector< Coord > &points, std::vector< std::pair< unsigned int, unsigned int > > &edges, std::vector< tlp::Array< unsigned int, 3 > > &triangles)
- void tlp::voronoiDiagram (const std::vector< Coord > &points, VoronoiDiagram &voronoiDiagram, bool returnVoronoiEdgeList=false)

Tulip Software by LaBRI Visualization Team 2001 - 2010